# Record Class CLNFileSectionDescription

java.lang.Object
java.lang.Record
com.io7m.calino.api.CLNFileSectionDescription

Record Components:
  `fileOffset` - The file offset
  `description` - The section description

public record CLNFileSectionDescription(long fileOffset, CLNSectionDescription description) extends Record
A description of a section within a file.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CLNFileSectionDescription(long fileOffset, CLNSectionDescription description)`
  A description of a section within a file.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CLNSectionDescription`
  `description()`
  Returns the value of the `description` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `long`
  `fileOffset()`
  Returns the value of the `fileOffset` record component.
  `long`
  `fileOffsetData()`
  Each section carries a fixed 16-byte header.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `String`
  `show()`
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CLNFileSectionDescription

    public CLNFileSectionDescription(long fileOffset, CLNSectionDescription description)
    A description of a section within a file.
    Parameters:
      `fileOffset` - The file offset
      `description` - The section description

- ## Method Details

  - ### fileOffsetData

    public long fileOffsetData()
    Each section carries a fixed 16-byte header. The section data begins directly after this header.
    Returns:
      The absolute file offset of the section's data

  - ### show

    public String show()
    Returns:
      A description of the section as a human-readable string

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with `Objects::equals(Object,Object)`; primitive components are compared with the `compare` method from their corresponding wrapper classes.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### fileOffset

    public long fileOffset()
    Returns the value of the `fileOffset` record component.
    Returns:
      the value of the `fileOffset` record component

  - ### description

    public CLNSectionDescription description()
    Returns the value of the `description` record component.
    Returns:
      the value of the `description` record component